# Method: projects.getOrgPolicy

- [HTTP request](https://docs.cloud.google.com/resource-manager/reference/rest/v1/projects/getOrgPolicy#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/resource-manager/reference/rest/v1/projects/getOrgPolicy#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/resource-manager/reference/rest/v1/projects/getOrgPolicy#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/resource-manager/reference/rest/v1/projects/getOrgPolicy#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/resource-manager/reference/rest/v1/projects/getOrgPolicy#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/resource-manager/reference/rest/v1/projects/getOrgPolicy#body.aspect)
- [Try it!](https://docs.cloud.google.com/resource-manager/reference/rest/v1/projects/getOrgPolicy#try-it)

Gets a `Policy` on a resource.

If no `Policy` is set on the resource, a `Policy` is returned with default values including `POLICY_TYPE_NOT_SET` for the `policyType oneof`. The `etag` value can be used with `projects.setOrgPolicy()` to create or update a `Policy` during read-modify-write.

### HTTP request

`POST https://cloudresourcemanager.googleapis.com/v1/{resource=projects/*}:getOrgPolicy`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `resource` | `string` Name of the resource the `Policy` is set on. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `resource`: - `orgpolicy.policy.get` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "constraint": string } ``` |

| Fields ||
|---|---|
| `constraint` | `string` Name of the `Constraint` to get the `Policy`. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/resource-manager/reference/rest/v1/Policy`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-platform.read-only`
- `https://www.googleapis.com/auth/cloudplatformorganizations`
- `https://www.googleapis.com/auth/cloudplatformorganizations.readonly`
- `https://www.googleapis.com/auth/cloudplatformprojects`
- `https://www.googleapis.com/auth/cloudplatformprojects.readonly`
- `https://www.googleapis.com/auth/cloudplatformfolders`
- `https://www.googleapis.com/auth/cloudplatformfolders.readonly`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).